POST
/data_syncer/destination/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/destination/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "syncer-destination-02201439044", "path_prefix": "/", "dataset_id": 1637}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/destination/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "syncer-destination-02201439044", "path_prefix": "/", "dataset_id": 1637, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/destination/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "syncer-destination-02201439044", "path_prefix": "/", "dataset_id": 1637 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
Name of the syncer destination
string
Example
syncer-destination-02201439044path_prefix
Path prefix for the destination
string
Example
/dataset_id
ID of the dataset to sync to
integer
Example
1637Responses
Section titled “Responses”Destination created successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
destination_type
string
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
dataset
object
id
integer
name
string
project_id
integer
description
string
storage_type
string
pvc
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
access_key
object
id
integer
access_key
string
secret_key
string
tag
string
is_managed
boolean
encryption_type
string
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
knowledge_base
string
path_prefix
string
run
boolean
created_at
string format: date-time
updated_at
string format: date-time
errors
object
message
string
Example
{ "code": 201, "data": { "id": 134, "name": "syncer-destination-022012431919", "destination_type": "tir_dataset", "status": "active", "created_by": { "id": 4945, "name": "Rahul Tanwar", "email": "rahul.tanwar@e2enetworks.com", "username": "rahul.tanwar@e2enetworks.com" }, "dataset": { "id": 1636, "name": "syncer-destination-022012432323", "project_id": 4601, "description": null, "storage_type": "managed", "pvc": null, "bucket": { "id": 3161, "bucket_name": "d-gpu-05a1d225-3340-4383-87ec-c06412ea13a2", "bucket_url": "s3://d-gpu-05a1d225-3340-4383-87ec-c06412ea13a2/", "endpoint": "https://objectstore.e2enetworks.net", "is_managed": true, "eos_bucket_permission_id": 11602 }, "access_key": { "id": 3178, "access_key": "4RJUR0C58XCVTAZZCFPT", "secret_key": null, "tag": "akgpu16b8b19cb1864c5ab0f22260338487b5", "is_managed": true }, "encryption_type": null, "encryption_enable": false, "status": "Pending", "created_by": { "id": 4945, "name": "Rahul Tanwar", "email": "rahul.tanwar@e2enetworks.com", "username": "rahul.tanwar@e2enetworks.com" }, "created_at": "2025-02-20T07:13:27.788331Z", "updated_at": "2025-02-20T07:13:27.788397Z" }, "knowledge_base": null, "path_prefix": "/", "run": true, "created_at": "2025-02-20T07:13:43.911473Z", "updated_at": "2025-02-20T07:14:00.648954Z" }, "errors": {}, "message": "Created Successfully"}